html, body {
    height: 100%;
    margin: 0;
    font-family: 'Product Sans', sans-serif;
    overflow: hidden;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    background: #000;
}

.welcome-screen {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
}

.welcome-content {
    text-align: center;
    color: #fff;
}

.welcome-content h1 {
    font-size: 50px;
    margin-bottom: 0px;
    margin-top: 0px;
    padding: 0px;
  font-weight: 500;
}

.welcome-content p2 {
    font-size: 50px;
    margin-bottom: 0px;
    margin-top: 0px;
    padding: 0px;
  font-weight: 800;
}

.welcome-content p {
  font-family: 'Poppins';
    font-size: 25px;
    margin-top: 0px;
}

.welcome-content p3 {
    font-family: 'Poppins';
    font-size: 10px;
    color: #59595c;
    text-align: center;
    margin-left: 0px;
    margin-right: 0px;
}

.welcome-content img {
   width: 50%;
    height: 50%;
    margin-bottom: 0px;
    padding: 0px;
}

.chat-container {
    width: 100%;
    max-width: 1000px;
    background-color: #000;
    border-radius: 10px;
    box-shadow: 2 2 2px rgba(0,0,0,0.2);
    display: flex;
    flex-direction: column;
    height: 100vh;
    overflow: hidden;
    display: none;
}

.messages {
    flex: 1;
    padding: 30px;
    background-color: #000;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    overflow-y: auto;
}

.message {
    font-family: 'Poppins';
    margin-bottom: 15px;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    max-width: 85%;
    word-wrap: break-word;
}

.message.user {
    align-self: flex-start;
    margin-left: auto;
}

.message.bot {
    align-self: flex-start;
}

.message p {
    display: inline-block;
    padding: 15px;
    border-radius: 20px;
    background: #242424;
    color: #fff;
    max-width: calc(100% - 30px);
    white-space: pre-wrap;
    line-height: 1.5;
    margin-top: 0px;
}

.message.bot p {
    background: transparent;
    color: #fff;
   font-family: 'Poppins';
}

.message.bot .profile-icon {
    width: 50px;
    height: auto;
    margin-top: 15px;
    }

    .gradient {
     background-image: linear-gradient(45deg, rgba(70, 106, 237), rgba(116, 27, 154), rgba(245, 64, 137));
     color: black;
     background-clip: text;
     -webkit-background-clip: text;
    /* Adicionado: */
    -webkit-text-fill-color: transparent;
    animation: gradientAnimation 40s ease infinite;
    pointer-events: none;
    border-radius: 0%;
}

/* Animação do gradiente */
@keyframes gradientAnimation {
    0% {
        background-position: 0% 0%;
    }
    50% {
        background-position: 100% 100%;
    }
    100% {
        background-position: 0% 0%;
    }
}

.warning {
    font-family: 'Poppins';
    font-size: 12px;
    color: #fff;
    text-align: center;
    margin-left: 30px;
    margin-right: 30px;
}

.input-area2 {
    display: flex;
    padding: 0px;
    background-color: #090909;
    align-items: center;
    border: 3px solid #242424;
    border-radius: 50px;
    margin-left: 130px;
    margin-right: 130px;
    margin-top: 40px;
}

.input-area2 input {
    flex: 1;
    border: none;
    padding: 0px;
    font-family: 'Poppins';
    font-size: 16px;
    border-radius: 40px;
    background-color: transparent;
    color: #fff;
    margin-left: 20px;
}

.input-area2 input:focus {
    outline: none;
    box-shadow: none; /* Remove qualquer sombra */
    border: none; /* Remove qualquer borda */
    background: none;
}

.input-area2 button {
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.input-area2 button img {
    width: 57px;
    height: 57px;
}

.input-area {
    display: flex;
    padding: 0px;
    background-color: #090909;
    align-items: center;
    border: 3px solid #242424;
    border-radius: 50px;
    margin-left: 30px;
    margin-right: 30px;
}

.input-area input {
    flex: 1;
    border: none;
    padding: 0px;
    font-family: 'Poppins';
    font-size: 16px;
    border-radius: 40px;
    background-color: transparent;
    color: #fff;
    margin-left: 20px;
}

.input-area input:focus {
    outline: none;
    box-shadow: none;
    border: none; 
    background: none;
}

.input-area button {
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.input-area button img {
    width: 57px;
    height: 57px;
}

a {
    color: #fff;
    text-decoration: none;
}

a:hover {
    color: #fff;
    text-decoration: underline;
}

@media (max-width: 450px) {
    
     .welcome-content h1 {
    font-size: 25px;
}

.welcome-content p2 {
    font-size: 25px;
}

.welcome-content p {
    font-size: 15px;
}

.welcome-content p3 {
    display: none;
}

.welcome-content img {
   width: 70%;
    height: auto;
}

    .message p {
        font-size: 12px;
    }

    .message {
        margin-bottom: 10px;
        max-width: 90%;
    }

    .warning {
        font-size: 8px;
        margin: 10px 5px;
    }

    .input-area {
        padding: 0px;
        margin-left: 20px;
        margin-right: 20px;
      border: 2px solid #242424;
    }

    .input-area input {
        padding: 0px;
        font-size: 12px;
    }

    .input-area button img {
        width: 40px;
        height: 40px;
        margin-right: 5px;
    }
    
    .input-area2 {
        padding: 0px;
        margin-left: 20px;
        margin-right: 20px;
      border: 2px solid #242424;
    }

    .input-area2 input {
        padding: 0px;
        font-size: 12px;
    }

    .input-area2 button img {
        width: 40px;
        height: 40px;
    }

    .messages {
        padding: 10px;
    }

    .message.bot .profile-icon {
        width: 35px;
        height: 35px;
        margin-left: 10px;
    }
}

.typing-effect {
   font-family: 'Product Sans';
    white-space: pre-wrap;
}